Перейти к основному содержимому

Интеграция с Vue

Подсказка

Убедитесь, что вы знакомы с основными концепциями и паттернами Vue. Для освежения знаний обратитесь к документации Vue 3.

DHTMLX RichText работает с Vue. Полный пример кода доступен в демо на GitHub.

Создание проекта​

К сведению

Перед созданием нового проекта установите Node.js.

Создайте проект Vue с помощью официального инструмента для развёртывания:

npm create vue@latest

Команда устанавливает и запускает create-vue. Когда инструмент запросит имя проекта, введите my-vue-richtext-app. Подробнее см. в Vue.js Quick Start.

Установка зависимостей​

Перейдите в директорию приложения:

cd my-vue-richtext-app

Установите зависимости и запустите сервер разработки с помощью пакетного менеджера.

Для yarn выполните:

yarn
yarn dev

Для npm выполните:

npm install
npm run dev

Приложение запустится на localhost (например, http://localhost:3000).

Создание RichText​

Остановите приложение и установите пакет RichText.

Шаг 1. Установка пакета​

Скачайте ознакомительный пакет RichText и следуйте инструкциям в файле README. Ознакомительная лицензия действительна 30 дней.

Шаг 2. Создание компонента​

Создайте Vue-компонент для добавления RichText в приложение. В директории src/components/ создайте новый файл Richtext.vue.

Импорт исходных файлов​

Откройте Richtext.vue и импортируйте исходные файлы RichText.

Для PRO-версии, установленной из локальной папки, используйте:

Richtext.vue
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

Для ознакомительной версии используйте:

Richtext.vue
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

В этом руководстве используется ознакомительная версия RichText.

Настройка контейнера и инициализация RichText​

Задайте элемент-контейнер для RichText и инициализируйте компонент с помощью конструктора Richtext внутри mounted(). Вызовите метод destructor() внутри unmounted(), чтобы удалить RichText:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
mounted() {
// инициализация компонента RichText
this.editor = new Richtext(this.$refs.richtext_container, {});
},

unmounted() {
this.editor.destructor(); // уничтожение RichText
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Добавление стилей​

Добавьте стили для RichText и его контейнера в главный CSS-файл проекта:

main.css
/* базовые стили страницы */
html,
body,
#app { /* использование корневого контейнера #app */
height: 100%;
padding: 0;
margin: 0;
}

/* контейнер RichText */
.component_container {
height: 100%;
margin: 0 auto;
}

/* виджет RichText */
.widget {
height: calc(100% - 56px);
}

Загрузка данных​

Подготовьте данные для RichText. Создайте файл data.js в директории src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Откройте App.vue, импортируйте данные и инициализируйте их через метод data(). Передайте значение в компонент <RichText/> как проп:

App.vue
<script>
import RichText from "./components/Richtext.vue";
import { getData } from "./data";

export default {
components: { RichText },
data() {
const { value } = getData();
return { value };
}
};
</script>

<template>
<RichText :value="value" />
</template>

Откройте Richtext.vue и передайте значение пропа в конфигурацию RichText:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
value: this.value,
// другие свойства конфигурации
});
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Также можно вызвать метод setValue() внутри mounted() для загрузки данных в RichText:

Richtext.vue
<script>
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default {
props: ["value"],

mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {
// другие свойства конфигурации
});

this.editor.setValue(this.value);
},

unmounted() {
this.editor.destructor();
}
};
</script>

<template>
<div class="component_container">
<div ref="richtext_container" class="widget"></div>
</div>
</template>

Компонент RichText готов к использованию. Vue отображает редактор с данными при монтировании элемента <RichText/>. Полный список параметров конфигурации см. в обзоре API RichText.

Обработка событий​

RichText генерирует события при действиях пользователя. Подпишитесь на события с помощью метода api.on(), чтобы реагировать на ввод пользователя. См. полный список событий.

Откройте Richtext.vue и обновите хук mounted(). Пример ниже выводит сообщение в консоль при каждом событии print:

Richtext.vue
<script>
// ...
export default {
// ...
mounted() {
this.editor = new Richtext(this.$refs.richtext_container, {});

this.editor.api.on("print", () => {
console.log("The document is printing");
});
},

unmounted() {
this.editor.destructor();
}
}
</script>

// ...

Запустите приложение, чтобы увидеть RichText с данными на странице.

DHTMLX RichText, отрендеренный в приложении Vue с демонстрационным содержимым

Теперь у вас есть рабочая интеграция RichText с Vue. Настройте код под свои нужды. Полный пример доступен на GitHub.

Перейти к основному содержимому

Интеграция с Angular

Подсказка

Убедитесь, что вы знакомы с основными концепциями и паттернами Angular. Для повторения см. документацию Angular.

DHTMLX RichText работает с Angular. Полный пример кода доступен в демо на GitHub.

Создание проекта​

К сведению

Перед созданием нового проекта установите Angular CLI и Node.js.

Создайте новый проект my-angular-richtext-app с помощью Angular CLI:

ng new my-angular-richtext-app
Примечание

Отключите Server-Side Rendering (SSR) и Static Site Generation (SSG/Prerendering), когда Angular CLI запросит выбор в процессе создания проекта.

Команда устанавливает все необходимые инструменты. Никаких дополнительных команд не требуется.

Установка зависимостей​

Перейдите в директорию нового приложения:

cd my-angular-richtext-app

Установите зависимости и запустите сервер разработки с помощью пакетного менеджера yarn:

yarn
yarn start

Приложение запускается на localhost (например, http://localhost:3000).

Создание RichText​

Остановите приложение и установите пакет RichText.

Шаг 1. Установка пакета​

Загрузите ознакомительный пакет RichText и следуйте инструкциям в файле README. Ознакомительная лицензия действительна 30 дней.

Шаг 2. Создание компонента​

Создайте Angular-компонент для добавления RichText в приложение. В директории src/app/ создайте папку richtext и добавьте новый файл richtext.component.ts.

Импорт исходных файлов​

Откройте richtext.component.ts и импортируйте исходные файлы RichText.

Для PRO-версии, установленной из локальной папки, используйте:

import { Richtext } from 'dhx-richtext-package';

Для ознакомительной версии используйте:

import { Richtext } from '@dhx/trial-richtext';

В этом руководстве используется ознакомительная версия RichText.

Задание контейнера и инициализация RichText​

Задайте контейнерный элемент для RichText и инициализируйте компонент с помощью конструктора Richtext внутри ngOnInit(). Вызовите метод destructor() внутри ngOnDestroy() для освобождения ресурсов:

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext", // использовать селектор "richtext" в app.component.ts как <richtext />
styleUrls: ["./richtext.component.css"], // подключить css-файл
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
// контейнер для RichText
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
// инициализировать компонент RichText
this._editor = new Richtext(this.richtext_container.nativeElement, {});
}

ngOnDestroy(): void {
this._editor.destructor(); // уничтожить RichText
}
}

Добавление стилей​

Создайте файл richtext.component.css в директории src/app/richtext/ со стилями для RichText и его контейнера:

richtext.component.css
/* импортировать стили RichText */
@import "@dhx/trial-richtext/dist/richtext.css";

/* базовые стили страницы */
html,
body{
height: 100%;
padding: 0;
margin: 0;
}

/* контейнер RichText */
.component_container {
height: 100%;
margin: 0 auto;
}

/* виджет RichText */
.widget {
height: calc(100% - 56px);
}

Загрузка данных​

Подготовьте данные для RichText. Создайте файл data.ts в директории src/app/richtext/:

data.ts
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Откройте richtext.component.ts. Импортируйте данные и передайте свойство value в конфигурацию RichText внутри ngOnInit():

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // импортировать данные
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // извлечь значение из модуля данных
this._editor = new Richtext(this.richtext_container.nativeElement, {
value
// другие параметры конфигурации
});
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

Также можно вызвать метод setValue() внутри ngOnInit() для загрузки данных в RichText:

richtext.component.ts
import { Richtext } from '@dhx/trial-richtext';
import { getData } from "./data"; // импортировать данные
import { Component, ElementRef, OnInit, ViewChild, OnDestroy, ViewEncapsulation } from '@angular/core';

@Component({
encapsulation: ViewEncapsulation.None,
selector: "richtext",
styleUrls: ["./richtext.component.css"],
template: `<div class = "component_container">
<div #richtext_container class = "widget"></div>
</div>`
})

export class RichTextComponent implements OnInit, OnDestroy {
@ViewChild("richtext_container", { static: true }) richtext_container!: ElementRef;

private _editor!: Richtext;

ngOnInit() {
const { value } = getData(); // извлечь значение из модуля данных
this._editor = new Richtext(this.richtext_container.nativeElement, {
// другие параметры конфигурации
});

// применить данные через метод setValue()
this._editor.setValue(value);
}

ngOnDestroy(): void {
this._editor.destructor();
}
}

Компонент RichText готов к использованию. Angular отображает редактор с данными при монтировании элемента <richtext/>. Полный список параметров конфигурации см. в обзоре API RichText.

Обработка событий​

RichText генерирует события при действиях пользователя. Подпишитесь на события с помощью метода api.on(), чтобы реагировать на ввод пользователя. См. полный список событий.

Откройте richtext.component.ts и обновите метод ngOnInit(). В приведённом примере в консоль выводится сообщение при каждом событии print:

richtext.component.ts
// ...
ngOnInit() {
this._editor = new Richtext(this.richtext_container.nativeElement, {});

this._editor.api.on("print", () => {
console.log("The document is printing");
});
}

ngOnDestroy(): void {
this._editor.destructor();
}

Шаг 3. Добавление RichText в приложение​

Откройте src/app/app.component.ts и замените код по умолчанию селектором <richtext/>:

app.component.ts
import { Component } from "@angular/core";

@Component({
selector: "app-root",
template: `<richtext/>`
})
export class AppComponent {
name = "";
}

Создайте src/app/app.module.ts и объявите RichTextComponent:

app.module.ts
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";

import { AppComponent } from "./app.component";
import { RichTextComponent } from "./richtext/richtext.component";

@NgModule({
declarations: [AppComponent, RichTextComponent],
imports: [BrowserModule],
bootstrap: [AppComponent]
})
export class AppModule {}

Откройте src/main.ts и замените содержимое кодом начальной загрузки:

main.ts
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
.bootstrapModule(AppModule)
.catch((err) => console.error(err));

Запустите приложение, чтобы увидеть RichText с данными на странице.

DHTMLX RichText, отрендеренный в приложении Angular с демонстрационным содержимым

Теперь у вас есть работающая интеграция RichText с Angular. Настройте код под свои нужды. Полный пример доступен на GitHub.

Перейти к основному содержимому

Интеграция с React

Подсказка

Убедитесь, что вы знакомы с базовыми концепциями и паттернами React. Для повторения см. документацию React.

DHTMLX RichText работает с React. Полный пример кода см. в демо на GitHub.

Создание проекта​

К сведению

Перед созданием нового проекта установите Node.js и (опционально) Vite.

Создайте новый проект my-react-richtext-app с помощью Create React App:

npx create-react-app my-react-richtext-app

Установка зависимостей​

Перейдите в директорию нового приложения:

cd my-react-richtext-app

Установите зависимости и запустите dev-сервер с помощью пакетного менеджера.

Для yarn выполните:

yarn
yarn start

Для npm выполните:

npm install
npm start

Приложение запустится на localhost (например, http://localhost:3000).

Создание RichText​

Остановите приложение и установите пакет RichText.

Шаг 1. Установите пакет​

Скачайте ознакомительный пакет RichText и следуйте инструкциям в файле README. Ознакомительная лицензия действует 30 дней.

Шаг 2. Создайте компонент​

Создайте React-компонент для добавления RichText в приложение. В директории src/ создайте новый файл Richtext.jsx.

Импорт исходных файлов​

Откройте Richtext.jsx и импортируйте исходные файлы RichText.

Для PRO-версии, установленной из локальной папки, используйте:

Richtext.jsx
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';

Для ознакомительной версии используйте:

Richtext.jsx
import { Richtext } from '@dhx/trial-richtext';
import "@dhx/trial-richtext/dist/richtext.css";

В этом руководстве используется ознакомительная версия RichText.

Задание контейнера и инициализация RichText​

Задайте контейнерный элемент для RichText и инициализируйте компонент с помощью конструктора Richtext внутри useEffect(). Вызовите метод destructor() в функции очистки для удаления RichText:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css'; // подключение стилей RichText

export default function RichTextComponent(props) {
let richtext_container = useRef(); // контейнер для RichText

useEffect(() => {
// инициализация компонента RichText
const editor = new Richtext(richtext_container.current, {});

return () => {
editor.destructor(); // уничтожение RichText
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Добавление стилей​

Добавьте стили для RichText и его контейнера в главный CSS-файл проекта:

index.css
/* базовые стили страницы */
html,
body,
#root {
height: 100%;
padding: 0;
margin: 0;
}

/* контейнер RichText */
.component_container {
height: 100%;
margin: 0 auto;
}

/* виджет RichText */
.widget {
height: calc(100% - 56px);
}

Загрузка данных​

Подготовьте данные для RichText. Создайте файл data.js в директории src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Откройте App.js и импортируйте данные. Передайте значение в компонент <RichText/> как проп:

App.js
import RichText from "./Richtext";
import { getData } from "./data";

function App() {
const { value } = getData();
return <RichText value={value} />;
}

export default App;

Откройте Richtext.jsx и передайте props.value в конфигурацию RichText:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
value: props.value, // применить значение
// другие свойства конфигурации
});

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Либо вызовите метод setValue() внутри useEffect() для загрузки данных в RichText:

Richtext.jsx
import { useEffect, useRef } from "react";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export default function RichTextComponent(props) {
let richtext_container = useRef();

let value = props.value;

useEffect(() => {
const editor = new Richtext(richtext_container.current, {
// свойства конфигурации
});

editor.setValue(value);

return () => {
editor.destructor();
};
}, []);

return <div className="component_container">
<div ref={richtext_container} className="widget"></div>
</div>
}

Компонент RichText готов к использованию. React отрисовывает редактор с данными при монтировании элемента <RichText/>. Полный список параметров конфигурации см. в обзоре API RichText.

Обработка событий​

RichText генерирует события при действиях пользователя. Подпишитесь на события с помощью метода api.on(), чтобы реагировать на ввод пользователя. См. полный список событий.

Откройте Richtext.jsx и обновите хук useEffect(). Пример ниже выводит сообщение в консоль при каждом событии print:

Richtext.jsx
// ...
useEffect(() => {
const editor = new Richtext(richtext_container.current, {});

editor.api.on("print", () => {
console.log("The document is printing");
});

return () => {
editor.destructor();
};
}, []);
// ...

Запустите приложение, чтобы увидеть RichText с данными на странице.

DHTMLX RichText, отрендеренный в приложении React с демонстрационным содержимым

Теперь у вас есть рабочая интеграция RichText в React. Настройте код под свои нужды. Полный пример доступен на GitHub.

Перейти к основному содержимому

Интеграция со Svelte

Подсказка

Убедитесь, что вы знакомы с основными концепциями и паттернами Svelte. Для повторения материала обратитесь к документации Svelte.

DHTMLX RichText работает со Svelte. Полный пример кода доступен в демо на GitHub.

Создание проекта​

К сведению

Перед созданием нового проекта установите Node.js и (опционально) Vite.

В этом руководстве используется проект Svelte на основе Vite. Для SvelteKit и других вариантов см. руководство по проектам Svelte.

Создайте новый проект Vite:

npm create vite@latest

Установка зависимостей​

Когда мастер создания проекта запросит имя, укажите my-svelte-richtext-app. Затем перейдите в новую директорию:

cd my-svelte-richtext-app

Установите зависимости и запустите сервер разработки с помощью пакетного менеджера.

Для yarn выполните:

yarn
yarn dev

Для npm выполните:

npm install
npm run dev

Приложение запустится на localhost (например, http://localhost:3000).

Создание RichText​

Остановите приложение и установите пакет RichText.

Шаг 1. Установка пакета​

Загрузите ознакомительный пакет RichText и следуйте инструкциям в файле README. Ознакомительная лицензия действительна в течение 30 дней.

Шаг 2. Создание компонента​

Создайте компонент Svelte для добавления RichText в приложение. В директории src/ создайте новый файл Richtext.svelte.

Импорт исходных файлов​

Откройте Richtext.svelte и импортируйте исходные файлы RichText.

Для PRO-версии, установленной из локальной папки, используйте:

Richtext.svelte
<script>
import { Richtext } from 'dhx-richtext-package';
import 'dhx-richtext-package/dist/richtext.css';
</script>

Для ознакомительной версии используйте:

Richtext.svelte
<script>
import { Richtext } from '@dhx/trial-richtext';
import '@dhx/trial-richtext/dist/richtext.css';
</script>

В этом руководстве используется ознакомительная версия RichText.

Настройка контейнера и инициализация RichText​

Задайте контейнерный элемент для RichText и инициализируйте компонент внутри onMount(). Вызовите метод destructor() внутри onDestroy(), чтобы удалить RichText:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

let richtext_container; // контейнер для RichText
let editor;

onMount(() => {
// инициализация компонента RichText
editor = new Richtext(richtext_container, {});
});

onDestroy(() => {
editor?.destructor(); // уничтожение RichText
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Добавление стилей​

Добавьте стили для RichText и его контейнера в основной CSS-файл проекта (например, src/app.css):

app.css
/* базовые стили страницы */
html,
body {
height: 100%;
padding: 0;
margin: 0;
}

/* контейнер RichText */
.component_container {
height: 100%;
margin: 0 auto;
}

/* виджет RichText */
.widget {
height: calc(100% - 56px);
}

Загрузка данных​

Подготовьте данные для RichText. Создайте файл data.js в директории src/:

data.js
export function getData() {
const value = `
<h2>RichText 2.0</h2>
<p>Repository at <a href="https://git.webix.io/xbs/richtext">https://git.webix.io/xbs/richtext</a></p>
<p><img src="https://placecats.com/500/300" style={{width: '500px', height: '300px'}}></p>`;
return { value };
}

Откройте App.svelte, импортируйте данные и передайте значение компоненту <RichText/> в виде пропса:

App.svelte
<script>
import RichText from "./Richtext.svelte";
import { getData } from "./data.js";

const { value } = getData();
</script>

<RichText value={value} />

Откройте Richtext.svelte и передайте значение пропса в конфигурацию RichText:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
value
// другие свойства конфигурации
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Также можно вызвать метод setValue() внутри onMount() для загрузки данных в RichText:

Richtext.svelte
<script>
import { onMount, onDestroy } from "svelte";
import { Richtext } from "@dhx/trial-richtext";
import "@dhx/trial-richtext/dist/richtext.css";

export let value;

let richtext_container;
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {
// другие свойства конфигурации
});

editor.setValue(value);
});

onDestroy(() => {
editor?.destructor();
});
</script>

<div class="component_container">
<div bind:this={richtext_container} class="widget"></div>
</div>

Компонент RichText готов к использованию. Svelte отрисовывает редактор с данными при монтировании элемента <RichText/>. Полный список параметров конфигурации см. в обзоре API RichText.

Обработка событий​

RichText генерирует события при действиях пользователя. Подпишитесь на события с помощью метода api.on(), чтобы реагировать на ввод пользователя. См. полный список событий.

Откройте Richtext.svelte и обновите хук onMount(). В примере ниже выводится сообщение при каждом событии print:

Richtext.svelte
<script>
// ...
let editor;

onMount(() => {
editor = new Richtext(richtext_container, {});

editor.api.on("print", () => {
console.log("The document is printing");
});
});

onDestroy(() => {
editor?.destructor();
});
</script>

// ...

Запустите приложение, чтобы увидеть RichText с данными на странице.

DHTMLX RichText, отрендеренный в приложении Svelte с демонстрационным содержимым

Интеграция RichText со Svelte готова. Настройте код под свои нужды. Полный пример доступен на GitHub.